Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(63)

Issue 2905353003: Enable multidex for ChromePublicTests app (Closed)

Created:
2 years, 6 months ago by aluo
Modified:
2 years, 5 months ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use multidex capable application for chrome_public_test_apk. https://codereview.chromium.org/2839983002 enabled multidex build to avoid the max limit of methods. But the tests app was not multidex aware on L and below devices (M and above working fine due to support in Android). Tests on waterfall were failing to find the needed classes. BUG=726516 Review-Url: https://codereview.chromium.org/2905353003 Cr-Commit-Position: refs/heads/master@{#480537} Committed: https://chromium.googlesource.com/chromium/src/+/7ce5ca5baaa4efaa739ce6b5fe2444e010a5eb06

Patch Set 1 #

Total comments: 1

Patch Set 2 : Always turn on multidex to avoid MultiDexApplication not being included in apk when in debug mode #

Total comments: 4

Patch Set 3 : Addressed John's comments. #

Patch Set 4 : Patch using MainDex #

Messages

Total messages: 26 (10 generated)
aluo
ping
2 years, 6 months ago (2017-05-30 19:37:56 UTC) #3
jbudorick
Were the failing tests limited to only those that use the Activities contained in that ...
2 years, 6 months ago (2017-05-30 19:44:26 UTC) #4
aluo
On 2017/05/30 19:44:26, jbudorick wrote: > Were the failing tests limited to only those that ...
2 years, 6 months ago (2017-05-30 23:52:35 UTC) #5
aluo
On 2017/05/30 23:52:35, aluo wrote: > On 2017/05/30 19:44:26, jbudorick wrote: > > Were the ...
2 years, 6 months ago (2017-06-01 23:35:40 UTC) #7
jbudorick
Re MultiDexApplication: sgtm Now that you mention it, I remember dealing with the same thing ...
2 years, 6 months ago (2017-06-06 05:44:59 UTC) #8
aluo
Put comments in correct places. https://codereview.chromium.org/2905353003/diff/20001/chrome/android/BUILD.gn File chrome/android/BUILD.gn (right): https://codereview.chromium.org/2905353003/diff/20001/chrome/android/BUILD.gn#newcode918 chrome/android/BUILD.gn:918: # the dex limit. ...
2 years, 6 months ago (2017-06-07 00:52:17 UTC) #9
jbudorick
On 2017/06/07 00:52:17, aluo wrote: > Put comments in correct places. > > https://codereview.chromium.org/2905353003/diff/20001/chrome/android/BUILD.gn > ...
2 years, 6 months ago (2017-06-07 03:08:34 UTC) #10
jbudorick
On 2017/06/07 00:52:17, aluo wrote: > Put comments in correct places. > > https://codereview.chromium.org/2905353003/diff/20001/chrome/android/BUILD.gn > ...
2 years, 6 months ago (2017-06-07 03:10:12 UTC) #11
aluo
On 2017/06/07 03:10:12, jbudorick wrote: > On 2017/06/07 00:52:17, aluo wrote: > > Put comments ...
2 years, 6 months ago (2017-06-10 00:01:59 UTC) #12
aluo
On 2017/06/10 00:01:59, aluo wrote: > On 2017/06/07 03:10:12, jbudorick wrote: > > On 2017/06/07 ...
2 years, 6 months ago (2017-06-16 22:05:45 UTC) #13
aluo
Patch 3 is using enable_multidex while patch 4 is using MainDex annotation. I'm leaning towards ...
2 years, 6 months ago (2017-06-17 00:37:00 UTC) #14
jbudorick
On 2017/06/17 00:37:00, aluo wrote: > Patch 3 is using enable_multidex while patch 4 is ...
2 years, 5 months ago (2017-06-19 15:17:10 UTC) #15
aluo
On 2017/06/19 15:17:10, jbudorick wrote: > On 2017/06/17 00:37:00, aluo wrote: > > Patch 3 ...
2 years, 5 months ago (2017-06-19 19:11:19 UTC) #20
jbudorick
On 2017/06/19 19:11:19, aluo wrote: > On 2017/06/19 15:17:10, jbudorick wrote: > > On 2017/06/17 ...
2 years, 5 months ago (2017-06-19 19:12:33 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2905353003/60001
2 years, 5 months ago (2017-06-19 19:31:08 UTC) #23
commit-bot: I haz the power
2 years, 5 months ago (2017-06-19 19:41:00 UTC) #26
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/7ce5ca5baaa4efaa739ce6b5fe24...

Powered by Google App Engine
This is Rietveld 408576698